import request from '@/utils/request'

// 查询商品基础信息列表
export function listProductInfor(query) {
  return request({
    url: '/invest/productInfor/list',
    method: 'get',
    params: query
  })
}

// 查询商品基础信息详细
export function getProductInfor(id) {
  return request({
    url: '/invest/productInfor/' + id,
    method: 'get'
  })
}

// 新增商品基础信息
export function addProductInfor(data) {
  return request({
    url: '/invest/productInfor',
    method: 'post',
    data
  })
}

// 修改商品基础信息
export function updateProductInfor(data) {
  return request({
    url: '/invest/productInfor',
    method: 'put',
    data
  })
}

// 删除商品基础信息
export function delProductInfor(id) {
  return request({
    url: '/invest/productInfor/' + id,
    method: 'delete'
  })
}
